# © 2022 Le Filament (<http://www.le-filament.com>)
# License AGPL-3.0 or later (http://www.gnu.org/licenses/agpl.html).

from odoo import api, models


class UnionRegionale(models.Model):
    _inherit = 'union.regionale'

    # ------------------------------------------------------
    # Button function
    # ------------------------------------------------------
    @api.multi
    def create_report_adhesion_per_ur(self):
        """
        Create report adhésion CG PER UR
        :return:
        """
        partners = self.env['scop.instance'].\
            browse(self.env.context.get('active_id')).\
            mapped('instance_partner_ids').\
            filtered(lambda i: i.project_status == '6_suivi').\
            mapped('partner_id')
        partners_ur = partners.filtered(lambda p: p.ur_id == self)
        return self.env['scop.instance'].create_report_adhesion(partners_ur)
