# © 2022 Le Filament (<http://www.le-filament.com>)
# License AGPL-3.0 or later (http://www.gnu.org/licenses/agpl.html).

from odoo import fields, models, api


class ScopInstanceReportWizard(models.TransientModel):
    _name = 'scop.instance.report.wizard'
    _description = "Wizard: Imprimer les courriers par UR"

    ur_ids = fields.Many2many(
        comodel_name='union.regionale',
        string='UR')
    partner_ids = fields.Many2many(
        comodel_name='res.partner',
        string='Coopératives')
